{% extends 'base.html' %}
{% load static %}
{% load widget_tweaks %}

{% block meta %}
<title>Chapter 9.1</title>
<link rel="stylesheet" href="{% static 'css/story9.css' %}">
{% endblock meta %}

{% block content %}
<h5 class="judul">Register here!</h5>

<form method="POST" action="">
    {% csrf_token %}
    <div class="container col-sm-8" style="color: #102542;">
        <hr style="border-top: 2px solid #102B3E;">
        <p style="color: #102542; margin-bottom: 0;font-weight: 600">Username</p>
        {% render_field form.username class="form-control" placeholder="Letters, digits, and @/./+/-/_ only"%}
        <p style="color: #F1545F; margin-bottom: 0;">{{form.errors.username | striptags}}</p>
        <p style="color: #102542; margin-bottom: 0;font-weight: 600; margin-top: 10px;">Password</p>
        {% render_field form.password1 class="form-control" placeholder="Contains at least 8 char"%}
        <p style="color: #F1545F; margin-bottom: 0;">{{form.errors.password1 | striptags}}</p>
        <p style="color: #102542; margin-bottom: 0;font-weight: 600; margin-top: 10px;">Confirm Password</p>
        {% render_field form.password2 class="form-control" placeholder="Confirm your password"%}
        <p style="color: #F1545F; margin-bottom: 0;">{{form.errors.password2 | striptags}}</p>
    
    <input type="submit" value="Register" class="button-sendiri" style="margin-top: 20px;">
    
    <p style="margin-top: 10px;">Already have an account? <a href="/story9/#login">Login</a></p>
    <hr style="border-top: 2px solid #102B3E;">

    </div>
</form>
<div class="beforefooter3"></div>

{% endblock content %}
{% block foot %}
{% include 'footer2.html' %}
{% endblock %}